@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600&display=swap');


@font-face {
    font-family: 'Inter';
    src: url('../fonts/Inter-Regular.ttf') format('truetype');
    font-weight: 400;
    font-style: normal;
}
@font-face {
    font-family: 'Inter';
    src: url('../fonts/Inter-Italic.ttf') format('truetype');
    font-weight: 400;
    font-style: italic;
}
@font-face {
    font-family: 'Inter';
    src: url('../fonts/Inter-Bold.ttf') format('truetype');
    font-weight: 700;
    font-style: normal;
}
@font-face {
    font-family: 'Inter';
    src: url('../fonts/Inter-BoldItalic.ttf') format('truetype');
    font-weight: 700;
    font-style: italic;
}

:root {
    --primary:#27ae60;
    --primary-dark:#219150;
    --text:#6a6a6a;
    --muted:#777;
}

* {
    margin:0;
    padding:0;
    box-sizing:border-box;
    font-family:'Inter', sans-serif;
    font-size: 16px;
}

html{
    padding: 1.5rem;
    height: 100dvh;
    width: 100dvw;
    background: repeating-linear-gradient(
        45deg,        
        rgb(56, 76, 179) 5px,
        #626262 10px
    );
}
body{    
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    transform: translateY(-32px);     
}
svg {
    width:64px;
    margin-bottom: 2rem;
    
}


.auth-card {
    background: #fff;
    border-radius: 10px; 
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 1rem;
    max-width: 400px;  
    width: 100%;
     box-shadow: 0 10px 30px rgba(0, 0, 0, 0.2);
    
}


.auth-card h3 {
    font-size: 1.5rem;    
    text-align:center;
    margin-bottom: 1rem;
    color: var(--text);
}

.auth-input {
    width: 100%;
    margin-top: 12px;
    padding: 10px;
    border: 1px solid #ddd;
    border-radius: 8px;
}


.error-message {
    text-align: left !important;
    width: 100%;
    color:rgb(251, 125, 144) !important;
    border-radius: 5px;
    padding: 5px 0;
    padding-left: 12px;    
    font-size: 12px;
    font-style: italic !important;
}

::placeholder {
    font-style: italic;
    font-size: 14px;
    color: #bfbfbf;
}

.auth-input:focus {
    border-color: var(--primary);
    outline: none;
}

.auth-card span {
    align-self: flex-start;
    margin-top: 10px;
    font-size: 14px;
    color: var(--muted);
}

.auth-btn:hover { 
    background:#2c9859;
    color:#fff;    
}


.auth-card p {
    text-align:center;
    font-size:14px;
    color: var(--muted);
}

.auth-card p a {
    color: #664d03;
    background: #fff3cd;
    margin-left: .5rem;
    padding: .25rem .7rem;
    border-radius: 5px;
    cursor:pointer;
    text-decoration:none;
}
.auth-card div {
    width: 100%;
    margin-top: 1rem;
    /* margin-bottom: 1rem; */
    
}
.auth-card div * {
    all: unset;
    /* font-size: 14px; */
    padding:10px 15px;
     border-radius: 8px;    
    cursor:pointer;
}

.auth-card div {
    display: flex;
    flex-wrap: wrap;
    /* justify-content: space-between; */
}

.auth-card div button {    
    background:var(--primary);
    color: #ffffffb9;
    width:100%;
    text-align: center;
    margin-bottom: 1rem;
    font-weight: 700;
    font-style: italic;
    height: 32px;
}
.auth-card div a {
    font-size: 14px;
    border:1px dashed #d3d3d3;
    color: #989898;
    flex: 1;
    text-align: center;
    max-width: fit-content;
    font-style: italic;
}

.auth-card div a:nth-of-type(2) {
    
    margin-left: auto;
}